#include "testApp.h"
#include "ofMain.h"

//--------------------------------------------------------------
void testApp::setup(){

	
	// macs by default run on non vertical sync, which can make animation very, very fast
	// this fixes that: 
	
	ofSetVerticalSync(true);
	ofSetFrameRate(60);
	
	
	
	
	// set background: 
	
	ofBackground(30,30,30);
	
	
	// set the "a" and "b" positions of the rectangle...
	
	myRectangle.posa.x = 0;
	myRectangle.posa.y = 100;
	myRectangle.posb.x = 1000;
	myRectangle.posb.y = 100;
	myRectangle.interpolateByPct(0);	// start at 0 pct
	pct = 0;							// a variable we can alter...
	
	
	
} 

//--------------------------------------------------------------
void testApp::update(){
	
	// to see pct in the console
	printf("%f \n", pct);
	
	pct += 0.025f;							// increase by a certain amount
	if (pct > 1) {
		pct = 0;							// just between 0 and 1 (0% and 100%)
	}	
	myRectangle.interpolateByPct(pct);		// go between pta and ptb

}

//--------------------------------------------------------------
void testApp::draw(){
	myRectangle.draw();
	ofSetColor(255,255,255);
	ofDrawBitmapString("Fastest perceptible continuous movement", 20,480);
	ofDrawBitmapString("rectangle speed: 13.5 inches per Second", 30,500);
	ofDrawBitmapString("At 60fps and screen resolution of 1440x900 px // pct increasing 0.025 per frame", 30,520);
	
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){
}

//--------------------------------------------------------------
void testApp::keyReleased  (int key){
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
